version: '2'
.catalog:
  name: SEI
  version: 0.0.3-sei-rancher
  description: |
    O sistema de SEI.
  minimum_rancher_version: v0.56.0
  maintainer: "Dirceu Silva <contato@dirceusilva.com>"
  questions:
      - variable: db_password
        description: "Senha para o banco de dados"
        label: "Password (default: sei)"
        required: true
        default: "sei"
        type: "password"
      - variable: "domain_app"
        description: "Informe a tag (FQDN) para esse serviço"
        label: "FQDN Result:"
        required: true
        default: "treinamentosei.antaq.gov.br"
        type: "string"
      - variable: "SEI_ORGAO"
        description: "Informe o órgõo do SEI/SIP"
        label: "Órgao:"
        required: true
        default: "ANTAQ"
        type: "string"
      - variable: "SEI_DESCRICAO_ORGAO"
        description: "Descrição do órgão"
        label: "Descrição Órgao:"
        required: true
        default: "ANTAQ"
        type: "string"
      - variable: "http_port"
        description: "Porta HTTP que será exposta:"
        label: "Porta HTTP:"
        required: true
        default: 80
        type: "int"
      - variable: "DNS"
        description: "Endereço do DNS"
        label: "DNS:"
        required: true
        default: "10.61.0.66"
        type: "string"
      - variable: "MUDA_CONF"
        description: "Deseja sobescrever a configuração do SEI?"
        label: "Reescrever as configurações do SEI/SIP:"
        required: true
        type: enum
        options:
          - SIM
          - NAO
      - variable: "BD_CAMINHO"
        description: "Versão da fonte de dados"
        label: "Caminho dos arquivos do banco"
        required: true
        type: enum
        options:
          - /opt/nfs-server/banco/base-treinamento/
      - variable: "FILES_CAMINHO"
        description: "Caminho dos arquivos e processos"
        label: "Caminho dos arquivos dos processos"
        required: true
        type: enum
        options:
          - /opt/nfs-server/arquivos/sei_treinamento/arquivos/


services:


    jod:
      scale: 1
    smtp:
        scale: 1
    memcached:
        scale: 1
    mysql:
        scale: 1
    solr:
         scale: 1
    http:
         scale: 1
